import { mqttWorker } from '../services/mqttWorker';
import { Switch } from '../types';

export abstract class Base
{
    protected mqttWorker:mqttWorker;

    constructor(mqttWorker:mqttWorker)
    {
        this.mqttWorker = mqttWorker;
    }

    abstract getStatus() : Promise<Switch>;
    abstract getPowerUsage() : Promise<any>;
    abstract setState(state:Switch) : Promise<Switch>;
}